dnsjit.core.compat(3)

NAME
dnsjit.core.compat - Cross platform compatibility support

SYNOPSIS
  require("dnsjit.core.compat_h")

DESCRIPTION
This module defines various system structures so they can be exposed into Lua but not really used. The size is generated at compile time to match that of the structures on the platform.

  Structures

pthread_t

pthread_cond_t

pthread_mutex_t

struct sockaddr_storage

ck_ring_t

ck_ring_buffer_t

AUTHORS and CONTRIBUTORS
Jerry Lundström (DNS-OARC), Tomáš Křížek (CZ.NIC), Petr Špaček (ISC)

Maintained by DNS-OARC

    https://www.dns-oarc.net/

BUGS
For issues and feature requests please use:

    https://github.com/DNS-OARC/dnsjit/issues

For question and help please use:

    admin@dns-oarc.net